Last modified: 2014-05-26 11:08:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24538 - populateRevisionLength.php doesn't check archive table
populateRevisionLength.php doesn't check archive table
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Maintenance scripts (Other open bugs)
1.21.x
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 49189
Blocks: 12188 46183
  Show dependency treegraph
 
Reported: 2010-07-25 06:23 UTC by Liangent
Modified: 2014-05-26 11:08 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Liangent 2010-07-25 06:23:06 UTC
At least old deleted revisions don't have their length currently on Wikipedia.
Comment 1 MZMcBride 2013-03-16 01:37:25 UTC
Let's focus this bug on MediaWiki core having this functionality ("populateRevisionLength.php doesn't check archive table") and let bug 46183 cover Wikimedia wikis (including Wikipedia).
Comment 2 Sam Reed (reedy) 2013-03-16 01:45:43 UTC
https://gerrit.wikimedia.org/r/#/c/54111/
Comment 3 MZMcBride 2013-03-16 01:48:04 UTC
I don't think it's an enhancement if you add a database column and provide no means of populating it....
Comment 4 Gerrit Notification Bot 2013-10-28 18:51:48 UTC
Change 54111 merged by jenkins-bot:
Update populateRevisionLength maintenance script to populate archive.ar_len

https://gerrit.wikimedia.org/r/54111
Comment 5 Marcin Cieślak 2013-10-29 16:58:33 UTC
gerrit change Ie161a08097a2cd3393d69574263cfe78e4329bb4 fixes this, really, I promise.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links